import { EmbedBuilder } from "discord.js";
import { Commands, CommandsMeta } from "commands";

export default function getEmbed() { // channel.send({ embeds: [exampleEmbed] });
    const exampleEmbed = new EmbedBuilder()
        .setColor(0x0099FF)
        .setTitle('Some title')
        .setURL('https://discord.js.org/')
        .setAuthor({ name: 'Some name', iconURL: 'https://i.imgur.com/AfFp7pu.png', url: 'https://discord.js.org' })
        .setDescription('Some description here')
        .setThumbnail('https://i.imgur.com/AfFp7pu.png')
        .addFields(
            { name: Commands.Enum.giessen, value: CommandsMeta.giessen.description },
            { name: Commands.Enum.medikamente, value: CommandsMeta.medikamente.description },
            { name: Commands.Enum.hilfe, value: CommandsMeta.hilfe.description },
            { name: '\u200B', value: '\u200B' },
            { name: 'Inline field title', value: 'Some value here', inline: true },
        )
        .addFields({ name: 'Inline field title', value: 'Some value here', inline: true })
        .setImage('https://i.imgur.com/AfFp7pu.png')
        .setTimestamp()
        .setFooter({ text: 'Some footer text here', iconURL: 'https://i.imgur.com/AfFp7pu.png' });
    return exampleEmbed;
}